Exchange 2007 – Supportabilità in base Sistema Operativo e Active Directory


Dopo l’uscita del Service Pack 2 di Exchange Server 2007, è stato rilasciato il seguente articolo relativo alla supportabilità del prodotto:



Exchange Server Supportability Matrix: Exchange 2007 Help
http://technet.microsoft.com/en-us/library/ee338574.aspx


L’articolo fa riferimento a diverse configurazioni riguardo a: Active Directory, Sistema Operativo, Clients, .Net Framework, etc.


Questo post ha l’intento di evidenziare alcune informazioni importanti:



  • Exchange Server 2003 non è supportato in ambiente dove il “domain/forest functional level” di Active Directory è stato alzato oltre il livello Windows Server 2003.
    Comunque, Exchange Server 2003 SP2 può essere installato in ambiente dove vi siano Windows Server 2008 Active Directory Servers.

  • Exchange Server 2007 RTM non è supportato su Windows Server 2008 R2.
    Exchange Server 2007 SP1 RU9 e SP2 sono supportati su Windows Server 2008 R2.

  • Exchange 2007 SP1 RU9 e SP2 sono supportati in ambienti dove il “domain/forest functional level” di Active Directory è stato alzato al livello Windows Server 2008 R2.

  • Exchange 2007 SP2 è supportato con PowerShell 2.0

Sistemi Operativi supportati
















































































Operating System Platform Exchange 2007 SP2 Exchange 2007 SP1 Exchange 2007 RTM Exchange 2003 SP2 Exchange 2000 SP3

Windows 2000 SP4


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X


X


Windows XP Professional SP2


X*


X*


X* 


X**


X**


Windows XP Professional SP3


X*


X*


X*


X**


X**


Windows Vista RTM


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X***


NOT SUPPORTED


Windows Vista SP1


X*


X*


NOT SUPPORTED


X***


NOT SUPPORTED


Windows Vista SP2


X*


X*


X***


NOT SUPPORTED


Windows Server 2003 SP2


X


X


X


X


NOT SUPPORTED


Windows Server 2003 R2 SP2


X


X


X


X


NOT SUPPORTED


Windows Server 2008


X


X


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


Windows Server 2008 SP2


X


X


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


* Solo per Exchange Management Tools


** Solo per Exchange 2000/2003 System Manager


*** Solo con Exchange 2003 System Manager per Windows Vista


Active Directory Server e Ambiente supportati


































































Operating System Environment Exchange 2007 SP2 Exchange 2007 SP1 Exchange 2007 RTM Exchange 2003 SP2 Exchange 2000 SP3

Windows 2000 Server SP4 Active Directory Servers


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X


X


Windows Server 2003 SP1 Active Directory Servers


X


X


X


X


X


Windows Server 2003 SP2 Active Directory Servers


X


X


X


X


X


Windows Server 2008 Active Directory Servers


X


X


X


X


NOT SUPPORTED


Windows Server 2008 SP2 Active Directory Servers


X


X


X


X


NOT SUPPORTED


Windows Server 2008 R2 Active Directory Servers


X


X*


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


Windows Server 2008 Read Only Active Directory Servers


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


Windows Server 2008 R2 Read Only Active Directory Servers


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED























































































Active Directory Environment Exchange 2007 SP2 Exchange 2007 SP1 Exchange 2007 RTM Exchange 2003 SP2 Exchange 2000 SP3

Windows 2000 Mixed Domain Functional Level


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X


X


Windows 2000 Native Functional Level


X


X


X


X


X


Windows Server 2003 Interim Domain Functional Level


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X


X


Windows Server 2003 Domain Functional Level


X


X


X


X


X


Windows Server 2008 Domain Functional Level


X


X


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


Windows Server 2008 R2 Domain Functional Level


X


X*


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


Windows 2000 Forest Functional Level


X


X


X


X


X


Windows Server 2003 Interim Forest Functional Level


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


X


X


Windows Server 2003 Forest Functional Level


X


X


X


X


X


Windows Server 2008 Forest Functional Level


X


X


X


NOT SUPPORTED


NOT SUPPORTED


Windows Server 2008 R2 Forest Functional Level


X


X*


NOT SUPPORTED


NOT SUPPORTED


NOT SUPPORTED


* Necessario installare RU9 per Exchange Server 2007 SP1 disponibile al seguente indirizzo:
Description of Update Rollup 9 for Exchange Server 2007 Service Pack 1: Exchange 2007 Help
http://technet.microsoft.com/en-us/library/ee221166.aspx


Paulo Canuto
Senior Support Engineer
Microsoft Enterprise Exchange Support

Comments (1)

  1. Red Erik says:

    Ottimo riassunto, sarebbe possibile avere l’equivalente per Exchaneg 2010 ?!? Su Technet mi pare di leggere che per Exchange 2010 non è supportato il "forest functional level 2008" per cui occorre rimanere a 2003 e mi pare un vincolo significativo.